Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Installation failed with an error
Installation failed with an error [message #1797998] Fri, 09 November 2018 18:39 Go to next message
Nikolay Babkin is currently offline Nikolay BabkinFriend
Messages: 1
Registered: November 2018
Junior Member
Tried to install, got a failure.

The log is in the quote below.

Quote:
[2018-11-09 20:35:59] Executing bootstrap tasks
[2018-11-09 20:35:59] Java(TM) SE Runtime Environment 1.8.0_162-b12
[2018-11-09 20:35:59] Product org.eclipse.products.epp.package.cpp.2018-09
[2018-11-09 20:35:59] Bundle org.eclipse.oomph.setup 1.10.0.v20180914-1031, build=3735, branch=1ac98fba42349326f02fd73178776c63324064c4
[2018-11-09 20:35:59] Bundle org.eclipse.oomph.setup.core 1.11.0.v20180914-1129, build=3735, branch=1ac98fba42349326f02fd73178776c63324064c4
[2018-11-09 20:35:59] Bundle org.eclipse.oomph.setup.p2 1.10.0.v20180706-1242, build=3652, branch=fddd6edb5a235aea831fecf04547579693a78a4e
[2018-11-09 20:35:59] Performing P2 Director (Eclipse IDE for C/C++ Developers (2018-09))
[2018-11-09 20:35:59] Offline = false
[2018-11-09 20:35:59] Mirrors = true
[2018-11-09 20:35:59] Resolving 40 requirements from 3 repositories to D:\Progi\Eclipse\eclipse
[2018-11-09 20:35:59] Requirement epp.package.cpp [4.9.0,5.0.0)
[2018-11-09 20:35:59] Requirement org.eclipse.platform.feature.group [4.9.0,5.0.0)
[2018-11-09 20:35:59] Requirement org.eclipse.rcp.feature.group [4.9.0,5.0.0)
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.arduino.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.autotools.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.build.crossgcc.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.cmake.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.debug.gdbjtag.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.debug.standalone.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.debug.ui.memory.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.docker.launcher.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.launch.remote.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.launch.serial.feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.meson.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.mylyn.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.qt.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.cdt.testsrunner.feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.egit.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.epp.mpc.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.linuxtools.cdt.libhover.devhelp.feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.linuxtools.cdt.libhover.feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.linuxtools.changelog.c.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.linuxtools.gcov.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.linuxtools.gprof.feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.linuxtools.rpm.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.linuxtools.valgrind.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.mylyn.context_feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.mylyn.team_feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.mylyn_feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.tm.terminal.connector.cdtserial.feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.tm.terminal.feature.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.tracecompass.gdbtrace.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.tracecompass.lttng2.control.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.tracecompass.lttng2.kernel.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.tracecompass.lttng2.ust.feature.group
[2018-11-09 20:35:59] Requirement org.eclipse.oomph.setup.feature.group
[2018-11-09 20:35:59] Repository http://download.eclipse.org/technology/epp/packages/2018-09
[2018-11-09 20:35:59] Repository http://download.eclipse.org/releases/2018-09/201809191002
[2018-11-09 20:35:59] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2018-11-09 20:36:00] Calculating requirements and dependencies.
[2018-11-09 20:36:03] Computing prerequisite plan
[2018-11-09 20:36:05] Fetching compositeArtifacts.jar from http://download.eclipse.org/oomph/updates/milestone/latest/ (434B)
[2018-11-09 20:36:08] Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/2018-09
[2018-11-09 20:36:08] Downloading epp.package.cpp.executable.win32.win32.x86_64
[2018-11-09 20:36:08] Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/2018-09 in 0.001s
[2018-11-09 20:36:08] Collecting 4 artifacts from http://download.eclipse.org/releases/2018-09/201809191002
[2018-11-09 20:36:09] Downloading org.eclipse.platform_root
[2018-11-09 20:36:09] Downloading org.eclipse.platform.ide.executable.win32.win32.x86_64
[2018-11-09 20:36:09] Downloading org.eclipse.rcp_root
[2018-11-09 20:36:09] Downloading org.eclipse.cdt_root
[2018-11-09 20:36:09] Collected 4 artifacts for http://download.eclipse.org/releases/2018-09/201809191002 in 0.697s
[2018-11-09 20:36:09] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2018-11-09 20:36:09] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred while collecting items to be installed
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3334)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3262)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3243)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3143)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=D__Progi_Eclipse_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.nebula.widgets.tablecombo,1.2.0.201810302204
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup,1.10.0.v20180914-1031
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.core,1.11.0.v20180914-1129
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.setup.core,1.11.0.v20181107-0652
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.setup,1.11.0.v20181107-0652
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.ui,1.11.0.v20180921-0524
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.ui,1.10.0.v20180914-0912
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.util,1.11.0.v20180914-1338
Re: Installation failed with an error [message #1798296 is a reply to message #1797998] Thu, 15 November 2018 05:28 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 32109
Registered: July 2009
Senior Member
Sometimes networks and servers have problems. Is the problem consistently reproducible?

The repo http://download.eclipse.org/oomph/updates/milestone/latest/ points http://download.eclipse.org/oomph/drops/milestone/S20181107-083923-1.11.0-M1/ and I can confirm those plugins/artifacts do all exist in that repo:

http://download.eclipse.org/oomph/drops/milestone/S20181107-083923-1.11.0-M1/plugins/?d



Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Installation failed with an error [message #1822942 is a reply to message #1798296] Tue, 17 March 2020 07:53 Go to previous messageGo to next message
torsten piotraschke is currently offline torsten piotraschkeFriend
Messages: 16
Registered: October 2017
Junior Member
I have the same error. Strange to say, but a couple of moments before, everything was fine with the installation. Also on a virtual machine I have no problem using oomph.

The problem is reproducable. For documentation purposes this is how to check, if the dependencies exist:



  1. Window->Show View->Other->Oomph->Repository Explorer
  2. Paste the repository url into the upmost combo box text field (e. g. http://download.eclipse.org/oomph/updates/milestone/latest)
  3. Choose the expert mode button to the right of the tab header
  4. Filter for the missing dependency (e. g. tablecombo) in the "type filter text" text field
  5. Double click the found dependency
  6. An xml will be shown. You can check the bold text for being the correct dependency item (in my case it is).


My error log:
Executing bootstrap tasks
OpenJDK Runtime Environment 11.0.6+10
Product org.eclipse.products.epp.package.java.2020-03
Workspace /data/torsten/eclipse/dv/ws
Project com.github.user.project.virtualplant.git.master
Project com.github.user.project.autosave.master
Project com.github.user.project.code templates.master
Project com.github.user.project.plugins.master
Bundle org.eclipse.oomph.setup 1.16.0.v20200309-0628, build=4565, branch=1da35020a3c353b5b394468c77f8dc5906f072b7
Bundle org.eclipse.oomph.setup.core 1.16.0.v20200219-0856, build=4551, branch=99a7f555125105517db94156f1e7f7571b1c5ab1
Bundle org.eclipse.oomph.setup.installer 1.16.0.v20200309-1218, build=4574, branch=1da35020a3c353b5b394468c77f8dc5906f072b7
Bundle org.eclipse.oomph.setup.p2 1.14.0.v20200202-1112, build=4528, branch=cd9ae2e25fc2c3563c893353f3385183bf12a782
Performing Workspace /data/torsten/eclipse/dv/ws
Performing P2 Director (Eclipse IDE for Java Developers (2020-03))
Offline = false
Mirrors = true
Resolving 32 requirements from 8 repositories to /data/torsten/eclipse/dv/eclipse
Requirement com.github.spotbugs.plugin.eclipse.feature.group
Requirement GuavaEclipseFeature.feature.group
Requirement epp.package.java [4.15.0,5.0.0)
Requirement org.eclipse.platform.feature.group [4.15.0,5.0.0)
Requirement org.eclipse.rcp.feature.group [4.15.0,5.0.0)
Requirement org.eclipse.buildship.feature.group
Requirement org.eclipse.eclemma.feature.feature.group
Requirement org.eclipse.egit.feature.group
Requirement org.eclipse.egit.mylyn.feature.group
Requirement org.eclipse.epp.mpc.feature.group
Requirement org.eclipse.jdt.feature.group
Requirement org.eclipse.jgit.feature.group
Requirement org.eclipse.m2e.feature.feature.group
Requirement org.eclipse.m2e.logback.feature.feature.group
Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
Requirement org.eclipse.mylyn.context_feature.feature.group
Requirement org.eclipse.mylyn.git.feature.group
Requirement org.eclipse.mylyn.hudson.feature.group
Requirement org.eclipse.mylyn.ide_feature.feature.group
Requirement org.eclipse.mylyn.java_feature.feature.group
Requirement org.eclipse.mylyn.wikitext_feature.feature.group
Requirement org.eclipse.mylyn_feature.feature.group
Requirement org.eclipse.tips.feature.feature.group
Requirement org.eclipse.wst.xml_ui.feature.feature.group
Requirement org.eclipse.oomph.setup.feature.group
Requirement net.sf.eclipsecs.feature.group
Requirement com.github.fraenkelc.oomph.gradle.feature.group [1.3.0.20190411201429,1.3.0.20190411201429]
Requirement org.eclipse.oomph.setup.jdt.feature.group
Requirement org.eclipse.oomph.setup.git.feature.group
Requirement org.eclipse.oomph.targlets.feature.group
Requirement org.eclipse.oomph.setup.targlets.feature.group
Requirement org.eclipse.oomph.setup.workingsets.feature.group
Repository https://spotbugs.github.io/eclipse/
Repository https://dl.bintray.com/guavaeclipseplugin/GuavaEclipsePlugin/latest/
Repository http://download.eclipse.org/technology/epp/packages/2020-03
Repository http://download.eclipse.org/releases/2020-03
Repository http://download.eclipse.org/oomph/updates/milestone/latest
Repository https://checkstyle.org/eclipse-cs/update
Repository http://dl.bintray.com/fraenkelc/buildship3_setuptask/updates
Repository https://download.eclipse.org/buildship/updates/e411/releases/3.x
Adding repository https://spotbugs.github.io/eclipse/
Adding repository https://dl.bintray.com/guavaeclipseplugin/GuavaEclipsePlugin/latest/
Adding repository http://download.eclipse.org/technology/epp/packages/2020-03
Adding repository http://download.eclipse.org/oomph/updates/milestone/latest
Adding repository https://checkstyle.org/eclipse-cs/update
Adding repository http://download.eclipse.org/releases/2020-03
Adding repository http://dl.bintray.com/fraenkelc/buildship3_setuptask/updates
Adding repository https://download.eclipse.org/buildship/updates/e411/releases/3.x
Calculating requirements and dependencies.
Computing prerequisite plan
Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/2020-03
Downloading epp.package.java.executable.gtk.linux.x86_64
Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/2020-03 in 0.003s
Collecting 3 artifacts from http://download.eclipse.org/releases/2020-03
Downloading org.eclipse.platform_root
Downloading org.eclipse.rcp_root
Downloading org.eclipse.platform.ide.executable.gtk.linux.x86_64
Collected 3 artifacts for http://download.eclipse.org/releases/2020-03 in 0.37s
An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred while collecting items to be installed
  at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
  at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:550)
  at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:342)
  at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:903)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3827)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3755)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3736)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3629)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:585)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:711)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
  ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=_data_torsten_eclipse_dv_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.nebula.widgets.tablecombo,1.2.0.202003151134

Took 15 seconds.
There are failed tasks.
Press Back to choose different settings or Cancel to abort.


So how would I go on debugging this? The error persists since yesterday. I have no problem using any other online services.
Re: Installation failed with an error [message #1822947 is a reply to message #1822942] Tue, 17 March 2020 09:05 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 32109
Registered: July 2009
Senior Member
So the underlying failure is:

ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.nebula.widgets.tablecombo,1.2.0.202003151134

But as you noticed, that's definitely available in this repository:

http://download.eclipse.org/oomph/updates/milestone/latest

There are a couple of p2 bugs opened related to this failure, e.g.,

https://bugs.eclipse.org/bugs/show_bug.cgi?id=519931

It's not clear the underlying cause. Conceptually it happens when the content metadata and the artifact metadata are out of sync. I.e., resolution finds the IU in the content metadata, but artifact downloading can't find the artifact in any artifact repository.

But if you look in download.eclipse.org/oomph/drops/release/1.16.0/artifacts.jar (which is what the composite artifacts currently references) you'll see it's in that repository:
    <artifact classifier='osgi.bundle' id='org.eclipse.nebula.widgets.tablecombo' version='1.2.0.202003151134'>
      <properties size='1'>
        <property name='download.size' value='38160'/>
      </properties>
    </artifact>


So there's nothing actually wrong with the repositories on the server side of things...

So two things you can try.

1) Try restarting the IDE; perhaps something older was loaded previously and remains loaded; p2 keeps soft reference to the loaded information. Restarting would force it to be reloaded.

2) If that doesn't work, perhaps there's some p2 repository cache issue, so you could try deleting <home>/.eclipse/org.eclipse.oomph.p2/cache and <home>/.p2/org.eclipse.equinox.p2.repository/cache. Note that the former cache has files with names that tell you where the file came from, so you can confirm that the expected sites are loaded and what exactly was download from the server. Also note that normally if there is something new on the server (based on timestamps), it will be downloaded again during loading, so it should not be necessary ever to clear the cache. We added UI to do this step via Window -> Preferences -> Oomph -> Bundle Pools using the "Clear Cache..." button.

I would appreciate very much if you can report back on which approach solves the problem. I.e., a simple restart or a cache flush? We really need to get to the bottom on how this happens...


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Installation failed with an error [message #1823160 is a reply to message #1822947] Fri, 20 March 2020 13:57 Go to previous messageGo to next message
torsten piotraschke is currently offline torsten piotraschkeFriend
Messages: 16
Registered: October 2017
Junior Member
Option 1 didn't work. Option 2 did the trick. Kudos to you for your quick support, Ed. It's always appreciated!
Re: Installation failed with an error [message #1824314 is a reply to message #1823160] Mon, 13 April 2020 17:57 Go to previous messageGo to next message
Wojciech Lisik is currently offline Wojciech LisikFriend
Messages: 23
Registered: May 2019
Junior Member
For me none of the above worked. Am literally stuck to the point that Im more than sure I will dump Eclipse in favor of other, less buggy, IDE.

Dont get me wrong - I understand that this is free software and bugs can happen - no problem with this. But, when one of managers insist that there is absolutely no issue with Eclipse update mechanism, and the issue must be caused by network misconfiguration at my end, despite being told many times that this definitely is not the case, is overfrustrating. And breaking point: no more Eclipse for me

Its been long 8 years, and countless lines of code. Everything has its own end, I suppose......
Re: Installation failed with an error [message #1824330 is a reply to message #1824314] Tue, 14 April 2020 04:26 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 32109
Registered: July 2009
Senior Member
I see that you've expressed your opinion numerous times:

https://www.eclipse.org/forums/index.php/sp/225312/

In the end though, there has been lots of axe grinding but never a single concrete detail of the failure that you personally encountered. Just allusions to them being the same as or similar to those of others, and assertions the problems can't possibly be related to your network configuration. Top that off with foul language and personal attacks, it's not an ideal combination.

Looking at the most recent release, I can see that there have been more than 500,000 successful installs:

https://dev.eclipse.org/committers/committertools/stats.php?filename=/stats/oomph/product/success/org.eclipse.products/%/2020-03/

Also roughly 30,000 failures:

https://dev.eclipse.org/committers/committertools/stats.php?filename=/stats/oomph/product/failure/org.eclipse.products/%/2020-03/

It would be nice to reduce that to none, but that's only possible if people share detailed information about the failure and if the failure is something that can be addressed on the client side software.


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Installation failed with an error [message #1824346 is a reply to message #1824330] Tue, 14 April 2020 08:12 Go to previous messageGo to next message
Wojciech Lisik is currently offline Wojciech LisikFriend
Messages: 23
Registered: May 2019
Junior Member
@Ed:

hypocrisy level master.......

When (almost 2 years ago) https://www.eclipse.org/forums/index.php/m/1824313/ has been created, and I replied to it (after circa 2 years), it was you who, despite being said otherwise by multiple persons, said multiple times that this has to be due to network failure; and now you link to the page where my words are confirmed.

Quote:
share detailed information

people tend to share information thats available to them. If you want more info, maybe its time to make error message more verbose, dont you think?

Quote:
t would be nice to reduce that to none,

than whats stopping you (or any other dev) from bringing this number to 0?

[Updated on: Tue, 14 April 2020 08:27]

Report message to a moderator

Re: Installation failed with an error [message #1824357 is a reply to message #1824346] Tue, 14 April 2020 09:46 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 32109
Registered: July 2009
Senior Member
Ah, personal attacks again. That's not at all surprising.

What's stopping me or anyone from fixing all the outstanding p2 problems?

https://bugs.eclipse.org/bugs/buglist.cgi?bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&classification=Eclipse%20Project&component=p2&list_id=19406417&order=bug_id%20DESC&product=Equinox&query_format=advanced

1) There are a great many problems and many of these problems are hard to reproduce, so just debugging how, when, where and why they happen is challenging at best.
2) Very few people have the skills to do the work and p2 is very complex, so that cuts down the number of possible candidates for the task.
3) No one is being paid to do the work, so it generally gets done out of self-interest or from the goodness of the heart.
4) No user pays a penny to use any of this stuff; if each user paid $1 per year, there would be a huge budget to tackle a great many problems. But generally one is lucky to get a thank you at best. More likely one mostly gets only complaints about anything and everything that isn't perfect and maybe also a few personal attacks for the icing on the cake.
5) What's stopping you from contributing?


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Follow references in P2 task
Next Topic:Do not install optional p2 dependencies of requirements
Goto Forum:
  


Current Time: Sun Nov 28 03:31:15 GMT 2021

Powered by FUDForum. Page generated in 0.02536 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top